<%@ Page Language="c#" CodeBehind="DownloadStatistics.aspx.cs" AutoEventWireup="False"
    Inherits="EPiServerZA.Plugins.Admin.DownloadStatistics" Title="Download Statistics" %>
<%@ Register TagPrefix="EPiServerUI" Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" %>

<asp:Content ContentPlaceHolderID="MainRegion" runat="server">
    <div class="epi-formArea epi-padding">
        <asp:Repeater runat="server" ID="rptVPPs">
            <ItemTemplate>
                <asp:CheckBox runat="server" ID="chkVPP" Text='<%# ((string)Eval("VirtualPathRoot")).Replace("/", "") %>' Checked="false" />&nbsp;&nbsp;
            </ItemTemplate>
        </asp:Repeater>
        <br /><br />
        View:&nbsp;&nbsp;
        <asp:RadioButton runat="server" ID="radDownloadCount" GroupName="grpView" Text="Most downloaded" Checked="true" />&nbsp;&nbsp;             
        <asp:RadioButton runat="server" ID="radDownloadDays" GroupName="grpView" Text="Busiest days" />&nbsp;&nbsp;
        <asp:RadioButton runat="server" ID="radDownloadHistorical" GroupName="grpView" Text="Historical days" />&nbsp;&nbsp;            
        <asp:RadioButton runat="server" ID="radDownloadList" GroupName="grpView" Text="All downloads" />             
        <br /><br />   
        <EPiServerUI:ToolButton OnClick="Refresh" Text="Refresh"
            ToolTip="<%$ Resources: EPiServer, button.refresh %>" SkinID="Refresh" runat="server" />
            <span style="float:right;">
                <asp:Literal runat="server" ID="litCount" />
            </span>
        <br /><br />
        <asp:GridView runat="server" ID="grdFiles" AutoGenerateColumns="true" OnRowDataBound="GridView_RowDataBound" />
    </div>
</asp:Content>
